Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 213209 - Dead keys not working for KDE apps when language is set to Norwegian(Nynorsk) (nn_NO)
Summary: Dead keys not working for KDE apps when language is set to Norwegian(Nynorsk)...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libX11
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2006-10-31 09:00 UTC by birger
Modified: 2018-04-11 06:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-03 13:32:09 UTC


Attachments (Terms of Use)

Description birger 2006-10-31 09:00:08 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Select Norwegian(Nynorsk) before logging in
2. Start any KDE app and try to use dead key accents (`~"^...)
3.
  
Actual results:
The dead key is undead. The accent appears immediately.

Expected results:
Dead keys should work as they do in other locales (wait for next keypress and
output an accented character)

Additional info:
It's probably related to a missing entry for nn_NO.UTF-8 in
/usr/share/X11/locale/compose.dir

Just adding it to the file doesn't seem to help. Must some KDE package be
recompiled to fix it?

Comment 1 birger 2006-10-31 09:01:44 UTC
By the way... The dead keys work as expected in gnome apps. The problem only
exists in KDE apps. Both when run in KDE and in gnome.

Comment 2 birger 2006-10-31 10:48:10 UTC
And I found out why the fix didn't work. There are 2 sets of entries in that
file. One with : after the first word, and one without.
Now I have inserted the following 2 lines into the file
/usr/share/X11/locale/compose.dir:
en_US.UTF-8/Compose             nn_NO.UTF-8
en_US.UTF-8/Compose:            nn_NO.UTF-8

And now dead keys are dead again.
No need to rebuild anything, just have the libX11 package fixed. 

Comment 3 Matěj Cepl 2006-11-01 13:56:17 UTC
Reporter seems to provide fix for this bug (missing configuration file for xkb).

Comment 4 Matěj Cepl 2007-07-03 13:50:14 UTC
Fedora Core 5 is no longer supported, please, could you reproduce this bug with
the updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX/INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.

Comment 5 Matěj Cepl 2007-08-03 13:32:09 UTC
No information requested was provided, so I close this bug as INSUFFICIENT_DATA.
Reporter, if you could, please, reopen with additional information.



Note You need to log in before you can comment on or make changes to this bug.